PCT2RGB(1)

NAME
pct2rgb - Convert an 8bit paletted image to 24bit RGB.

SYNOPSIS

pct2rgb.py [-of format] [-b band] [-rgba] [-pct palette_file] source_file dest_file

DESCRIPTION

This utility will convert a pseudo-color band on the input file into an output RGB file of the desired format.

-of <format>
    Select the output format. Starting with GDAL 2.3, if not specified, the format is guessed from the extension (previously was GTiff). Use the short format name.

-b <band>
    Band to convert to RGB, defaults to 1.

-rgba
    Generate a RGBA file (instead of a RGB file by default).

-pct <palette_file>
    Extract the color table from <palette_file> instead of getting it from <source_file>. Can be used to have a consistent color table for multiple files. The <palette_file> must be either a raster file in a GDAL supported format with a palette or a color file in a supported format (txt, qml, qlr).

<source_file>
    The input file.

<dest_file>
    The output RGB file that will be created.

    NOTE: pct2rgb.py is a Python script, and will only work if GDAL was built with Python support.

    The '-expand rgb|rgba' option of gdal_translate obsoletes that utility.

AUTHOR
Frank Warmerdam <warmerdam@pobox.com>, Silke Reimer <silke@intevation.de>

COPYRIGHT
1998-2023